<template>
    <div class="waste-water">
        <el-table class="tableBox" :data="SolidWastetableDataList" style="width: 100%" @cell-click="handle">
            <el-table-column width="30px" label="">
                <template slot-scope="{row,$index}">
                    <el-popover placement="bottom" trigger="click" :disabled="!isShowIcon" popper-class="popovers">
                        <ChemicalWastewater v-show="$index ===1"></ChemicalWastewater>
                        <i class="el-icon-caret-right" :class="{active: isActive === $index}" slot="reference" @click="doIcon($index)"></i>
                    </el-popover>
                </template>
            </el-table-column>
            <el-table-column label="序号" width="45px" type="index"></el-table-column>
            <el-table-column prop="UserName" label="企业名称" width="120px">
                <template slot-scope="scope">
                    <div v-if="scope.row.UserName==='集团名称'" style="color: #00ffff">{{scope.row.UserName}}</div>
                    <div v-else-if="scope.row.UserName==='天津石化'" style="color: #00ffff">{{scope.row.UserName}}</div>
                    <div v-else >{{scope.row.UserName}}</div>
                </template>
            </el-table-column>
            <el-table-column prop="normal" >
                <div slot="header">
                    <span>一级风险地块（个）</span>
                </div>
                <template slot-scope="{row,$index}">
                    <u v-if="$index!=2" >{{row.normal}}</u>
                    <el-popover v-else placement="bottom-end" trigger="click" popper-class="popovers" title="一级风险地块">
                        <refinery :tableHeader="tableHeader1" :tableContent="tableContent1" ></refinery>
                        <u slot="reference" style="color: #00ffff">{{row.normal}}</u>
                    </el-popover>
                </template>
            </el-table-column>
            <el-table-column prop="normal" >
                <div slot="header">
                    <span>二级风险地块（个）</span>
                </div>
                <template slot-scope="{row,$index}">
                    <u v-if="$index!=2" >{{row.normal}}</u>
                    <el-popover v-else placement="bottom-end" trigger="click" popper-class="popovers" title="二级风险地块">
                        <refinery :tableHeader="tableHeader1" :tableContent="tableContent1"></refinery>
                        <u slot="reference" style="color: #00ffff">{{row.normal}}</u>
                    </el-popover>
                </template>
            </el-table-column>
            <el-table-column prop="normal" >
                <div slot="header">
                    <span>三级风险地块（个）</span>
                </div>
                <template slot-scope="{row,$index}">
                    <u v-if="$index!=2" >{{row.normal}}</u>
                    <el-popover v-else placement="bottom-end" trigger="click" popper-class="popovers" title="三级风险地块">
                        <refinery :tableHeader="tableHeader1" :tableContent="tableContent1"></refinery>
                        <u slot="reference" style="color: #00ffff">{{row.normal}}</u>
                    </el-popover>
                </template>
            </el-table-column>
            <el-table-column prop="normal" >
                <div slot="header">
                    <span>土壤采样点（个）</span>
                </div>
                <template slot-scope="{row,$index}">
                    <u v-if="$index!=2" >{{row.normal}}</u>
                    <el-popover v-else placement="bottom-end" trigger="click" popper-class="popovers" title="土壤采样点">
                        <refinery :tableHeader="tableHeader2" :tableContent="tableContent1"></refinery>
                        <u slot="reference" style="color: #00ffff">{{row.normal}}</u>
                    </el-popover>
                </template>
            </el-table-column>
            <el-table-column prop="normal" >
                <div slot="header">
                    <span>地下水采样点（个）</span>
                </div>
                <template slot-scope="{row,$index}">
                    <u v-if="$index!=2" >{{row.normal}}</u>
                    <el-popover v-else placement="bottom-end" trigger="click" popper-class="popovers" title="地下水采样点">
                        <refinery :tableHeader="tableHeader2" :tableContent="tableContent1"></refinery>
                        <u slot="reference" style="color: #00ffff">{{row.normal}}</u>
                    </el-popover>
                </template>
            </el-table-column>
        </el-table>
    </div>
</template>

<script>
// import ChemicalWastewater from './componented/ChemicalWastewater'
import Refinery from '@components/table/components/componented/refinery'
// import MissingAlarm from '@components/table/components/componented/MissingAlarm'
export default {
  name: 'WasteWater',
  components: {
    // MissingAlarm,
    Refinery
    // ChemicalWastewater
  },
  data () {
    return {
      isActive: '',
      isShowIcon: false,
      tableHeader1: [
        { name: '企业名称', width: '140', propS: 'value1' },
        { name: '地块名称', width: '140', propS: 'value2' },
        { name: '地块信息', width: '140', propS: 'value3' },
        { name: '地下水（个）', width: '140', propS: 'value4' },
        { name: '土壤（个）', width: '140', propS: 'value5' }
      ],
      tableHeader2: [
        { name: '土壤名称', width: '140', propS: 'value1' },
        { name: 'PH', width: '80', propS: 'value2' },
        { name: '六价格', width: '100', propS: 'value3' },
        { name: '铅', width: '100', propS: 'value4' },
        { name: '汞', width: '100', propS: 'value5' }
      ],
      tableContent1: [
        { value1: '1', value2: '2', value3: '3', value4: '4', value5: '5' },
        { value1: '1', value2: '2', value3: '3', value4: '4', value5: '5' }
      ]
    }
  },
  props: ['SolidWastetableDataList'],
  methods: {
    tableHeaderColor ({ row, column, owIndex, columnIndex }) {
      //  return 'background-color: rgba(26, 73, 81, 0.901960784313726);color:#fff;font-wight:500;font-size:12px;text-align:center;height:0px'
    },
    // 表头样式设置
    rowClass  () {
      // return 'text-align: center;background-color: rgba(26, 73, 81, 0.901960784313726);color:#fff;width:64px'
    },
    // 获取点击的表格
    handle (row, column, event, cell) {
      console.log(row.UserName)
    },
    doIcon (index) {
      if (index !== 1) {
        this.isShowIcon = false
        this.isActive = ''
        return
      }
      this.isShowIcon = !this.isShowIcon
      if (index === this.isActive) {
        this.isActive = ''
        return
      }
      this.isActive = index
    }
  }
}
</script>

<style>

</style>
